Package com.independentsoft.office.charts

# Enum Class TrendlineType

java.lang.Object
java.lang.Enum<TrendlineType>
com.independentsoft.office.charts.TrendlineType

All Implemented Interfaces:
  `Serializable`, `Comparable<TrendlineType>`, `Constable`

public enum TrendlineType extends Enum<TrendlineType>
The Enum TrendlineType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXPONENTIAL`
  `LINEAR`
  `LOGARITHMIC`
  `MOVING_AVERAGE`
  `NONE`
  `POLYNOMIAL`
  `POWER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TrendlineType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TrendlineType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EXPONENTIAL

    public static final TrendlineType EXPONENTIAL

  - ### LINEAR

    public static final TrendlineType LINEAR

  - ### LOGARITHMIC

    public static final TrendlineType LOGARITHMIC

  - ### MOVING_AVERAGE

    public static final TrendlineType MOVING_AVERAGE

  - ### POLYNOMIAL

    public static final TrendlineType POLYNOMIAL

  - ### POWER

    public static final TrendlineType POWER

  - ### NONE

    public static final TrendlineType NONE

- ## Method Details

  - ### values

    public static TrendlineType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TrendlineType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null